import { Repository } from "typeorm";
import { Category } from "../../common/category/category.entity";
export declare class CategoryService {
    private readonly categoryRepository;
    constructor(categoryRepository: Repository<Category>);
    findActive(lang?: string): Promise<any[]>;
    findOne(id: number, lang?: string): Promise<Category>;
    getCategoryListWithServiceCount(lang?: string): Promise<any[]>;
}
